<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>CSS Styling Properties and Positioning</title>
	<link rel="stylesheet" href="./style.css">
</head>
<body>
	<h2>CSS Common Styling</h2>

	<div id="div-1">This is a div</div>
	<span id="span-1">This is a span</span>
	<img src="https://place-puppy.com/450x450 " alt="" id="img">
	<span id="span-2">This is a span</span>
	<div id="div-2">This is another div</div>

	<h3>Notes in block, inline, and inline-block</h3>
	<p id="p-1">Block takes up the whole width by default</p>
	<p id="p-2">Width 60</p>
	<p id="p-3">Width 40</p>
	
	<p>Even if there is enough space, block elements do not sit next to each other unless if they are floated.</p>
	
	<p>Inline Elements are things like bold and italics. You cannot control the height and width of these elements</p>

	<p>Inline-block can sit on the same line and combines our block and inline properties</p>

	<div class="sample">width = 30</div>
	<div class="sample">width = 30</div>
	<div class="sample">width = 30</div>


	<hr>

	<h3>Float</h3>
	<p>
		The float property is used for positioning and formatting content e.g let an image float left to the text in a container
	</p>

	<p>
		<img src="https://place-puppy.com/450x450" alt="" class="img-float">

		Lorem ipsum dolor sit amet, consectetur, adipisicing elit. Cumque mollitia aliquid rerum provident officia id quasi, adipisci similique ducimus nam, harum! Corporis similique delectus perspiciatis, atque quas porro illum dolores.
	</p>

	<hr>

	<h3>CSS Units</h3>
	
	<h4>px vs. %</h4>
	<div class="box fifty-percent">50%</div>
	<div class="box one-hundred-pixels">100px</div>

	<div class="box fifty-vw">50vw</div>
	<div class="box twenty-five-vh">25vh</div>

	<br>

	<div class="parent">
		<div class="box fifty-percent">50%</div>
		<div class="box one-hundred-pixels">100px</div>
		<div class="box fifty-vw">50vw</div>
		<div class="box twenty-five-vh">25vh</div>
	</div>

</body>
</html>